### Method

# EDataServer SoupSession dup_credentials

since: 3.26

#### Declaration [src]

    ENamedParameters*
    e_soup_session_dup_credentials (
      ESoupSession* session
    )

#### Description

No description available.

Available since: 3.26

#### Return value

Type: `ENamedParameters`

A copy of the credentials being previously set with e_soup_session_set_credentials(), or `NULL` when none are set. Free the returned pointer with e_named_parameters_free(), when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.